Data Structures | Typedefs | Functions

# departures.cpp File Reference

Scheduled departures from a station. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "gui.h"`
`#include "textbuf_gui.h"`
`#include "strings_func.h"`
`#include "window_func.h"`
`#include "vehicle_func.h"`
`#include "string_func.h"`
`#include "window_gui.h"`
`#include "timetable.h"`
`#include "vehiclelist.h"`
`#include "company_base.h"`
`#include "date_func.h"`
`#include "departures_gui.h"`
`#include "station_base.h"`
`#include "vehicle_gui_base.h"`
`#include "vehicle_base.h"`
`#include "vehicle_gui.h"`
`#include "order_base.h"`
`#include "settings_type.h"`
`#include "core/smallvec_type.hpp"`
`#include "date_type.h"`
`#include "company_type.h"`
`#include "cargo_type.h"`
`#include "departures_func.h"`
`#include "departures_type.h"`

Go to the source code of this file.

## Data Structures
struct | OrderDate
| A scheduled order. More...
## Typedefs
typedef struct OrderDate | OrderDate
| A scheduled order.
## Functions
static bool | IsDeparture (const Order *order, StationID station)
static bool | IsVia (const Order *order, StationID station)
static bool | IsArrival (const Order *order, StationID station)
DepartureList * | MakeDepartureList (StationID station, bool show_vehicle_types[5], DepartureType type, bool show_vehicles_via)
| Compute an up-to-date list of departures for a station.

## Detailed Description

Scheduled departures from a station.

Definition in file departures.cpp.

## Typedef Documentation

typedef struct OrderDate OrderDate

A scheduled order.

## Function Documentation

DepartureList* MakeDepartureList | ( | StationID | station,
|  | bool | show_vehicle_types[5],
|  | DepartureType | type,
|  | bool | show_vehicles_via |
| ) |  |  |

Compute an up-to-date list of departures for a station.

Parameters:

  | station | the station to compute the departures of
  | show_vehicle_types | the types of vehicles to include in the departure list
  | type | the type of departures to get (departures or arrivals)
  | show_vehicles_via | whether to include vehicles that have this station in their orders but do not stop at it

Returns:
  a list of departures, which is empty if an error occurred

Definition at line 81 of file departures.cpp.

References _date, _date_fract, _settings_client, SmallVector< T, S >::Append(), SmallVector< T, S >::Begin(), Departure::calling_at, Vehicle::cargo_cap, Vehicle::cargo_type, SmallVector< T, S >::Contains(), DAY_TICKS, GUISettings::departure_conditionals, GUISettings::departure_merge_identical, GUISettings::departure_only_passengers, GUISettings::departure_show_all_stops, GUISettings::departure_smart_terminus, SmallVector< T, S >::End(), OrderDate::expected_date, GenerateVehicleSortList(), SmallVector< T, S >::Get(), Order::GetConditionSkipToOrder(), Order::GetDestination(), Vehicle::GetFirstOrder(), Order::GetLoadType(), Order::GetNonStopType(), Vehicle::GetNumOrders(), Vehicle::GetOrder(), Order::GetType(), Order::GetUnloadType(), ClientSettings::gui, Order::IsType(), Departure::lateness, OrderDate::lateness, SmallVector< T, S >::Length(), MAX_COMPANIES, GUISettings::max_departure_time, GUISettings::max_departures, Order::next, Vehicle::Next(), OLFB_NO_LOAD, ONSF_NO_STOP_AT_ANY_STATION, Departure::order, OrderDate::order, OUFB_NO_UNLOAD, Departure::scheduled_date, Departure::status, OrderDate::status, Departure::terminus, Order::travel_time, Departure::type, OrderDate::v, VEH_TRAIN, Departure::vehicle, Departure::via, and Order::wait_time.

Referenced by DeparturesWindow< Twaypoint >::OnTick().